Inventory

Get Global Inventory

GET
/inventory/global

Returns the inventory items flagged global.

Authorization

authCookie
auth<token>

Auth Token via Cookie

In: cookie

Response Body

application/json

application/json

curl -X GET "https://api.vrchat.cloud/api/1/inventory/global"
[
  {
    "acquisition": "string",
    "attribution": {
      "creator": {
        "customName": "string",
        "userId": "string"
      }
    },
    "collections": [
      "string"
    ],
    "defaultAttributes": {
      "property1": {
        "defaultValue": "string",
        "validator": {
          "type": "string"
        }
      },
      "property2": {
        "defaultValue": "string",
        "validator": {
          "type": "string"
        }
      }
    },
    "description": "string",
    "equipSlot": "",
    "equipSlots": [
      ""
    ],
    "flags": [
      "string"
    ],
    "id": "inv_10bce5b0-2d2b-44e0-900d-db6534615162",
    "imageUrl": "string",
    "isArchived": true,
    "isSeen": true,
    "itemType": "bundle",
    "itemTypeLabel": "string",
    "metadata": {
      "animated": true,
      "animationStyle": "string",
      "assetBundleId": "string",
      "assets": [
        {
          "fileId": "string",
          "frameCount": 0,
          "framesPerSecond": 0,
          "loopCount": 0,
          "totalDurationMs": 0,
          "type": "string",
          "url": "string"
        }
      ],
      "fileId": "string",
      "gradientEnd": "3cc92c",
      "gradientStart": "3cc92c",
      "imageUrl": "string",
      "inventoryItemsToInstantiate": [
        "invt_b80ce14b-038b-4f56-b970-d232771d62e3"
      ],
      "maskTag": "string",
      "propId": "prop_829ba6f6-b837-49d9-b9a9-056b82103b58",
      "propKind": 0,
      "viewfinderBundleId": "string"
    },
    "name": "string",
    "productId": {},
    "tags": [
      "string"
    ],
    "templateId": "invt_b80ce14b-038b-4f56-b970-d232771d62e3",
    "userAttributes": {
      "property1": {
        "defaultValue": "string",
        "validator": {
          "type": "string"
        }
      },
      "property2": {
        "defaultValue": "string",
        "validator": {
          "type": "string"
        }
      }
    },
    "validateUserAttributes": true
  }
]
{
  "error": {
    "message": "\"Missing Credentials\"",
    "status_code": 401
  }
}